parameters:
  netzmacht.contao_leaflet.providers:
    OpenStreetMap:
      variants: ['Mapnik', 'BlackAndWhite', 'DE', 'CH', 'France', 'HOT', 'BZH']

    OpenSeaMap: []

    OpenTopoMap: []

    OpenPtMap: []

    OpenRailwayMap: []

    OpenFireMap: []

    SafeCast: []

    Thunderforest:
      class: 'Netzmacht\LeafletPHP\Plugins\LeafletProviders\ThunderforestProvider'
      variants:
        - 'OpenCycleMap'
        - 'Transport'
        - 'TransportDark'
        - 'SpinalMap'
        - 'Landscape'
        - 'Outdoors'
        - 'Pioneer'
      options:
        apiKey: 'tile_provider_key'
      fields: ['tile_provider_key']

    OpenMapSurfer:
      variants: ['Roads', 'AdminBounds', 'Grayscale']

    Hydda:
      variants: ['Full', 'Base', 'RoadsAndLabels']

    MapBox:
      class: 'Netzmacht\LeafletPHP\Plugins\LeafletProviders\MapBoxProvider'
      options:
        accessToken: 'tile_provider_key'
      fields: ['tile_provider_key']

    Stamen:
      variants:
        - 'Toner'
        - 'TonerBackground'
        - 'TonerHybrid'
        - 'TonerLines'
        - 'TonerLabels'
        - 'TonerLite'
        - 'Terrain'
        - 'TerrainBackground'
        - 'TopOSMRelief'
        - 'TopOSMFeatures'
        - 'Watercolor'

    Esri:
      variants:
        - 'WorldStreetMap'
        - 'DeLorme'
        - 'WorldTopoMap'
        - 'WorldImagery'
        - 'WorldTerrain'
        - 'WorldShadedRelief'
        - 'WorldPhysical'
        - 'OceanBasemap'
        - 'NatGeoWorldMap'
        - 'WorldGrayCanvas'

    OpenWeatherMap:
      class: 'Netzmacht\LeafletPHP\Plugins\LeafletProviders\OpenWeatherMapProvider'
      variants:
        - 'Clouds'
        - 'CloudsClassic'
        - 'Precipitation'
        - 'PrecipitationClassic'
        - 'Rain'
        - 'RainClassic'
        - 'Pressure'
        - 'PressureContour'
        - 'Wind'
        - 'Temperature'
        - 'Snow'
      options:
        apiKey: 'tile_provider_key'
      fields: ['tile_provider_key']

    HERE:
      class: 'Netzmacht\LeafletPHP\Plugins\LeafletProviders\HereProvider'
      variants:
        - 'normalDay'
        - 'normalDayCustom'
        - 'normalDayGrey'
        - 'normalDayMobile'
        - 'normalDayGreyMobile'
        - 'normalDayTransit'
        - 'normalDayTransitMobile'
        - 'normalNight'
        - 'normalNightMobile'
        - 'normalNightGrey'
        - 'normalNightGreyMobile'
        - 'normalNightTransit'
        - 'normalNightTransitMobile'
        - 'reducedDay'
        - 'reducedNight'
        - 'basicMap'
        - 'mapLabels'
        - 'trafficFlow'
        - 'carnavDayGrey'
        - 'hybridDay'
        - 'hybridDayMobile'
        - 'hybridDayTransit'
        - 'hybridDayGrey'
        - 'pedestrianDay'
        - 'pedestrianNight'
        - 'satelliteDay'
        - 'terrainDay'
        - 'terrainDayMobile'
      options:
        appId: 'tile_provider_key'
        appCode: 'tile_provider_code'
      fields: ['tile_provider_key', 'tile_provider_code']

    JusticeMap:
      variants:
        - 'income'
        - 'americanIndian'
        - 'asian'
        - 'black'
        - 'hispanic'
        - 'multi'
        - 'nonWhite'
        - 'white'
        - 'plurality'

    FreeMapSK: []

    MtbMap: []

    CartoDB:
      variants:
        - 'Positron'
        - 'PositronNoLabels'
        - 'PositronOnlyLabels'
        - 'DarkMatter'
        - 'DarkMatterNoLabels'
        - 'DarkMatterOnlyLabels'
        - 'Voyager'
        - 'VoyagerNoLabels'
        - 'VoyagerOnlyLabels'
        - 'VoyagerLabelsUnder'

    HikeBike:
      variants:
        - 'HikeBike'
        - 'HillShading'

    BasemapAT:
      variants:
        - 'basemap'
        - 'grau'
        - 'overlay'
        - 'highdpi'
        - 'orthofoto'

    nlmaps:
      variants:
        - 'standaard'
        - 'pastel'
        - 'grijs'
        - 'luchtfoto'

    NASAGIBS:
      variants:
        - 'ModisTerraTrueColorCR'
        - 'ModisTerraBands367CR'
        - 'ViirsEarthAtNight2012'
        - 'ModisTerraLSTDay'
        - 'ModisTerraSnowCover'
        - 'ModisTerraAOD'
        - 'ModisTerraChlorophyll'

    NLS: []

    Wikimedia: []

    GeoportailFrance:
      variants:
        - 'parcels'
        - 'ignMaps'
        - 'maps'
        - 'orthos'

    OneMapSG:
      variants:
        - 'Default'
        - 'Night'
        - 'Original'
        - 'Grey'
        - 'LandLot'
